Name:           WritRecogn
Version:        0.1.9
Release:        1%{?dist}
Summary:        Handwriting recognizer for CJK characters
Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://sourceforge.net/projects/writrecogn
Source0:        http://downloads.sourceforge.net/writrecogn/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel >= 2.10 libxml2-devel >= 2.6 sqlite-devel >= 3.0 
BuildRequires:  libtool >= 1.5 gob2 >= 2.0.0
BuildRequires:  desktop-file-utils
Requires: libxml2 >= 2.6 sqlite >= 3.0
Summary(zh_CN): WritRecogn 中日韩手写辨识系统
Summary(zh_TW): WritRecogn 中日韓手寫辨識系統


%description
WritRecogn recognizes East Asian handwritten characters for 
Chinese, Japanese, and Korean (CJK). Unlike some implementations
which require to build a huge set of character recognition rules,
we recognize radicals of Chinese characters, i.e. the word root 
of the character,then use a character-structure-based input method 
to search for the word. This saves us from writing recognition rules 
for tens of thousands of CJK characters. This should provide better 
recognition accuracy than current open source handwriting 
recognition libraries.

%description -l zh_CN
Writrecogn 能夠辨識中日韓手寫文字。日後將提供輸入框架
（如 SCIM） 支援。

%description -l zh_TW
Writrecogn 能够辨识中日韩手写文字。日后将提供输入框架（如SCIM）支持。

%package doc
Summary:    Gtk-doc formatted WritRecogn API
Group:      Documentation
BuildRequires:  gtk-doc
Requires:       %{name} = %{version}-%{release}

%description doc
gtk-doc formatted WritRecogn API.



%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags} -j1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f ${RPM_BUILD_ROOT}%{_libdir}/%{name}/libWritRecogn.la

desktop-file-install --delete-original --vendor=fedora \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  ${RPM_BUILD_ROOT}/%{_datadir}/applications/WritRecogn.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_bindir}/WritRecogn
%{_bindir}/WritRecogn-manager
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/fedora-%{name}.desktop


%files doc
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_datadir}/gtk-doc/html/WritRecogn

%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Apr 23 2008 Ding-Yi Chen <dchen@redhat.com> - 0.1.9-0
- For users:
 - WritRecogn-manager options changes:
   - InputMethod: from -I to -i
   - Language: from -L to -l
   - Remove export option (-Q), as import option (-I) can cover its
   functionality.
   - [New] Import option (-I).
     It can import from either SQLite, XML or tomoe XML.
     The destination can be either SQLite, XML or tomoe XML as well.
   - Fix the bug of Sqlite database rebuild
   - Multiple debug (-D) flags indicate more debug level now.
 - Help -> About now available.
- For developers:
 - Stroke recognizer is replaced by Radical recognizer.
 - WirtRecogn.xml updated to support relative box
 - WritRecogn.dtd becomes Writrecogn-<version number>.dtd
 - Gtk Doc is available in doc sub-package.


* Tue Mar 26 2008 Ding-Yi Chen <dchen@redhat.com> - 0.1.8-0
- For users:
    - Hypothesis generation, open, save, saveAs have been moved to File menu.
    - Preference menu and dialog are removed.
    - Removed file->save-all.
-For developers:
    - GOBize the Radical, AbsCharacter, FullCharacter, RawStroke, 
      RadicalList,
      StrokeRecognizer,  CharacterMatcher, StrokeNoiseReducer, 
      CharacterDataFile, CharacterDataFile-XML, CharacterDataFile-Sqlite
    - Move some basic file functions (such as filename_determine, 
      filename_determine_readable, filename_determine_writable to src/utils
    - New data structures such as RadicalArray, RadicalQuery, LanguageSet.
    - SQLite back-end (0.1.8) supports raw writing ID and Radical Bounding boxes.
    - XML back-end (0.1.8) supports raw writing ID.
    - XML back-end now support input code search.
    - utils/xmlHandler.[ch] ParseMode enum removed.

* Thu Feb 26 2008 Ding-Yi Chen <dchen@redhat.com> - 0.1.1-4
- Update icon cache when installing or unstalling

* Thu Feb 26 2008 Ding-Yi Chen <dchen@redhat.com> - 0.1.1-3
- Add a desktop file [Bug 434954]
- Own datadir directory


* Thu Feb 26 2008 Ding-Yi Chen <dchen@redhat.com> - 0.1.1-2
- Fix formatting of description [Bug 434954]

* Wed Feb 26 2008 Ding-Yi Chen <dchen@redhat.com> - 0.1.1-1
- Review cleanup [Bug 434954]

* Tue Feb 26 2008 Ding-Yi Chen <dchen@redhat.com> - 0.1.1-0
- Initial packaging

* Mon Jan 21 2008 Ding-Yi Chen <dchen@redhat.com> - 0.1
- Start from May 07 2007 Ding-Yi Chen
- Project begin
- GObjectize RawCharacter, RawStroke, CharacterMatcher, StrokeRecognizer, StrokeNoiseReducer
- SQLite backend
- Can import from SCIM Tomoe XML data base.
- Initial packaging
